[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: lintian warning native-package-with-dash-version



Carlo Segre <segre@iit.edu> writes:
> On Thu, 29 Sep 2005, kamaraju kusumanchi wrote:
>> Q1) Where am I doing wrong? How can I get rid of this error?
>
> I think that this has to do with the -1 in the name of the original 
> tarball.

No. Please read the Debian Policy: Only the part of the version number
following the last "-" is considered as Debian revision, which means
that the upstream version can contain as many dashes as it's wants.

> You might consider using the -v 0.2.2.1 option in dh_make to 
> convert this to a compliant version number.  The second -1 will still be 
> there in the final package because that is the debian revision.  The cause 
> that lintian has suggested does not seem to be your case as you properly 
> identified the source tarball in the dh_make command.

The dh_make command has nothing to do with the places where
dpkg-buildpackage searches for sources. This is *always*
../${NAME}_${UPSTREAM_VERSION}.orig.tar.gz, no matter how you called
dh_make.

Marc
-- 
BOFH #102:
Power company testing new voltage spike (creation) equipment

Attachment: pgp8WNQNEEOoZ.pgp
Description: PGP signature


Reply to: